基于LNMP的Linux VPS安装ionCube的方法

今天在将flashstuffer程序从justhost虚拟主机转移到自己的vps(基于LNMP)时,提示:Site error: the file /home/test/whmcs/index.php requires the ionCube PHP Loader ioncube_loader_lin_5.2.so to be installed by the site administrator.

提示需要安装ionCube,方法如下:

1. 执行uname -a 查看系统是32位还是64位。我这里查询结果如下:

Linux tiaojiji 2.6.18-194.11.4.el5xen #1 SMP Tue Sep 21 05:40:24 EDT 2010 x86_64 x86_64 x86_64 GNU/Linux

是64位系统。

2. 打开http://www.ioncube.com/loaders.php,根据你的系统版本,选择ionCube软件包。我这里选择的是Linux (x86-64)

3. 执行如下命令:

cd /usr/local/
wget http://downloads2.ioncube.com/loader_downloads/ioncube_loaders_lin_x86-64.tar.gz
tar zxvf ioncube_loaders_lin_x86-64.tar.gz

4. 修改/usr/local/php/etc/php.ini,在最下面的Zend Optimizer之前添加如下代码:

[ionCube Loader]
zend_extension=”/usr/local/ioncube/ioncube_loader_lin_5.2.so”

即:

[ionCube Loader]
zend_extension=”/usr/local/ioncube/ioncube_loader_lin_5.2.so”
[Zend Optimizer]
zend_optimizer.optimization_level=1
zend_extension=”/usr/local/zend/ZendOptimizer.so”

注意一定要添加到[Zend Optimizer] 之前,否则就会出错。

5. 执行:

/usr/local/php/sbin/php-fpm reload

搞定!

本文链接: https://www.168itw.com/web-server/lnmp-ioncube/
转载请注明转载自:168itw

3 thoughts to “基于LNMP的Linux VPS安装ionCube的方法”

评论已关闭